<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <div>

        </div>
        <script>
            function assignEvents(e) {
                startTime = new Date();
                var answer = prompt("What is the answer to life, the universe and everything else?");
                if (answer !== "") {
                    var answerTime = new Date();
                    result = (answerTime.getTime() - startTime.getTime()) / 1000;
                    if (answer === "42") {
                        alert("Congratulations, you are a man of culture!");
                        alert("It took you " + result + " seconds.");
                    } else {
                        alert("Wrong answer!");
                        alert("It took you " + result + " seconds.");
                    }
                } else {
                    alert("Error - Answer the Question!");
                }
            }
            document.addEventListener("DOMContentLoaded", assignEvents);
        </script>
    </body>
</html>
